public class Fu implements MathComputer{
    @Override
    public void handle(Computer data) {
        String s="";
        double r=data.computerDataItem();
        data.tempResult.push(r);
        r=-r;
        s=HandleEvent.get(r);
        data.dataItem.removeAllElements();
        for (int i = 0; i < s.length(); i++) {
            data.dataItem.push(s.charAt(i));
        }
    }
}
